Bug 805944 - CVE-2012-0037 raptor: XML External Entity (XXE) attack by processing certain RDF files [fedora-16]
Summary: CVE-2012-0037 raptor: XML External Entity (XXE) attack by processing certain ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: raptor2
Version: 16
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-0037
TreeView+ depends on / blocked
 
Reported: 2012-03-22 14:16 UTC by Jan Lieskovsky
Modified: 2012-04-12 11:35 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-04-12 11:35:07 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2012-03-22 14:16:26 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=791296

fedora-16 tracking bug for raptor2: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2012-03-24 12:56:38 UTC
raptor2-2.0.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/raptor2-2.0.7-1.fc17

Comment 2 Fedora Update System 2012-03-24 12:57:31 UTC
raptor2-2.0.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/raptor2-2.0.7-1.fc16

Comment 3 Fedora Update System 2012-03-24 23:20:42 UTC
Package raptor2-2.0.7-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing raptor2-2.0.7-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4663/raptor2-2.0.7-1.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-04-12 02:56:04 UTC
raptor2-2.0.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-04-12 11:35:07 UTC
raptor2-2.0.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.